package com.serrano.aureo.lineaverde;

import android.app.Application;

import com.parse.Parse;
import com.parse.ParseException;
import com.parse.ParseObject;
import com.parse.ParseUser;
import com.serrano.aureo.lineaverde.entities.Aviso;

/**
 * Created by Aureo on 19/12/2015.
 */
public class AvisoApplication extends Application
{
    @Override
    public void onCreate()
    {
        super.onCreate();

        ParseObject.registerSubclass(Aviso.class);
        Parse.initialize(new Parse.Configuration.Builder(this.getApplicationContext())
                .applicationId("myAppId")
                //.server("http://192.168.1.41:1337/parse/")
                //.server("http://192.168.1.100:1337/parse/")
                .server("https://lineaverdeuoc.appspot.com/parse/")
                .build()
        );


        //Crea el usuario de prueba en la BD, descomentar si es necesario
        /*
        ParseObject user = new ParseObject("LocalUser");
        user.put("userName","prueba");
        user.put("pass","prueba");
        try
        {
            user.save();

        } catch (ParseException e)
        {
            e.printStackTrace();
        }
        */


    }
}
