package com.serrano.aureo.lineaverde;

import android.content.Intent;
import android.net.ParseException;
import android.support.v4.app.NavUtils;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.support.v7.widget.Toolbar;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import com.parse.ParseObject;
import com.parse.ParseQuery;
import com.parse.ParseUser;

public class LoginActivity extends AppCompatActivity
{

    private EditText editUser;
    private EditText editPass;
    private Button entrarBtn;

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_login);

        Toolbar toolbar = (Toolbar) findViewById(R.id.appbar);

        editUser = (EditText) findViewById(R.id.editUser);
        editPass = (EditText) findViewById(R.id.editPass);
        entrarBtn = (Button) findViewById(R.id.entrarBtn);


        setSupportActionBar(toolbar);
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);

        entrarBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v)
            {
                try
                {
                    String user = editUser.getText().toString();
                    String pass = editPass.getText().toString();

                    ParseQuery<ParseObject> query = ParseQuery.getQuery("LocalUser");
                    query.whereEqualTo("userName", user);
                    ParseObject localuser = query.getFirst();
                    if(localuser!=null)
                    {
                        String remoteUser = localuser.getString("pass");
                        if(remoteUser.equals(pass))
                        {
                            finish();
                            goMainProActivity();
                        }
                        else
                        {
                            Toast.makeText(LoginActivity.this, "Usuario y/o contraseña incorrectos", Toast.LENGTH_LONG).show();
                        }
                    }
                    else
                    {
                        Toast.makeText(LoginActivity.this, "Usuario y/o contraseña incorrectos", Toast.LENGTH_LONG).show();
                    }
                }
                catch (com.parse.ParseException ex)
                {
                    Toast.makeText(LoginActivity.this, "Usuario y/o contraseña incorrectos", Toast.LENGTH_LONG).show();
                }
            }
        });
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item)
    {
        switch (item.getItemId())
        {
            // Respond to the action bar's Up/Home button
            case android.R.id.home:
                NavUtils.navigateUpFromSameTask(this);
                return true;
        }
        return super.onOptionsItemSelected(item);
    }

    private void goMainProActivity()
    {
        Intent navIntent = new Intent(LoginActivity.this, MainProActivity.class).addFlags(Intent.FLAG_ACTIVITY_CLEAR_TASK);
        startActivity(navIntent);
    }

}
